## ros-indigo-fzi-icl-can 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fzi_icl_can)

find_package(icl_core REQUIRED COMPONENTS icl_core_config icl_core_logging icl_core)
find_package(tinyxml)

# The IC_MAKER requests PeakCan, we help it to find the ROS package version
# That's why we copied those two header files in there...
set(PeakCan_ROOT ${PROJECT_SOURCE_DIR}/common)

# Build targets for the pcan library
add_custom_target(
    build_libpcan ALL
    COMMAND cmake -E chdir ${PROJECT_SOURCE_DIR} make -f Makefile.tarball
)
add_custom_target(
    copy_pcan ALL
    COMMAND cmake -E copy ${PROJECT_SOURCE_DIR}/common/lib/libpcan.so lib
)
add_custom_target(
    copy_pcan0 ALL
    COMMAND cmake -E copy ${PROJECT_SOURCE_DIR}/common/lib/libpcan.so.0 lib
)
add_custom_target(
    copy_pcan06 ALL
    COMMAND cmake -E copy ${PROJECT_SOURCE_DIR}/common/lib/libpcan.so.0.6 lib
)
message(STATUS "Copying libs to ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}")

# include the icl_hardware_can workspace
SET(ICMAKER_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icmaker")
INCLUDE(${ICMAKER_DIRECTORY}/CMakeLists.txt)
ADD_SUBDIRECTORY (src/icl_hardware_can)

# reset the project name as otherwise it would be IcMaker
project(fzi_icl_can)

# model dependencies
add_dependencies(copy_pcan build_libpcan)
add_dependencies(copy_pcan0 build_libpcan)
add_dependencies(copy_pcan06 build_libpcan)
add_dependencies(icl_hardware_can copy_pcan06)

# install targets for libpcan
install(PROGRAMS common/lib/libpcan.so common/lib/libpcan.so.0 common/lib/libpcan.so.0.6
  DESTINATION lib
)
install(DIRECTORY common/include/libpcan/
  DESTINATION lib/${PROJECT_NAME}
)

# install script to install pcan-module
install(PROGRAMS install_pcan_module.sh DESTINATION lib/${PROJECT_NAME})

# install package.xml as we are a plain cmake package
install(FILES package.xml DESTINATION share/icl_hardware_can)

=== debian/changelog ===
ros-indigo-fzi-icl-can (1.0.10-0trusty) trusty; urgency=high

  * find system tinyxml
  * remove unreachable error codes from parsing
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Sun, 06 Aug 2017 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.9-0trusty) trusty; urgency=high

  * reset the project name after including the IcMaker
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Thu, 12 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.8-0trusty) trusty; urgency=high

  * added license information for pcan
  * add wget as build dependency
  * make the package a plain cmake package again
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Wed, 11 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.7-0trusty) trusty; urgency=high

  * add popt as a dependency as it is needed for pcan
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 10 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.6-0trusty) trusty; urgency=high

  * add dummy libpcan files so that findPKG will find the lib.
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 10 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.5-0trusty) trusty; urgency=high

  * build pcan library inside this package and provide a script to build the kernel module
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 10 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.4-0trusty) trusty; urgency=high

  * get libpcan from ros package
  * add third-party specific package.xml tags and install rule
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Tue, 03 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.3-0trusty) trusty; urgency=high

  * find icl_core components correctly
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Sun, 01 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.2-0trusty) trusty; urgency=high

  * declared package as plain cmake package
  * Contributors: Felix Mauch

 -- heppner <heppner@fzi.de>  Sun, 01 May 2016 22:00:00 -0000

ros-indigo-fzi-icl-can (1.0.1-0trusty) trusty; urgency=high

  * Initial public commit of fzi_icl_can library
  * Contributors: Georg Heppner, Jan Oberlaender, Hugo Ritzkowski, Felix Mauch, Thomas Schamm, Klaus Uhl

 -- heppner <heppner@fzi.de>  Thu, 07 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-fzi-icl-can
Section: misc
Priority: extra
Maintainer: heppner <heppner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libpopt-dev, libtinyxml-dev, ros-indigo-fzi-icl-core, wget
Homepage: http://wiki.ros.org/fzi_icl_can
Standards-Version: 3.9.2

Package: ros-indigo-fzi-icl-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpopt-dev, libtinyxml-dev, linux-headers-generic, ros-indigo-catkin, ros-indigo-fzi-icl-core
Description: The fzi_icl_can package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fzi-icl-can//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
